Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.store
Class FSDirectoryProvider

    java.lang.Object
      org.hibernate.search.store.FSDirectoryProvider

All Implemented Interfaces:
  DirectoryProvider<org.apache.lucene.store.FSDirectory>

    public class FSDirectoryProvider

extends java.lang.Object
implements DirectoryProvider<org.apache.lucene.store.FSDirectory>

Use a Lucene `FSDirectory`. The base directory is represented by the property hibernate.search.default.indexBase or hibernate.search.<index>.indexBase. The former defines the default base directory for all indexes whereas the latter allows to override the base directory on a per index basis. <index> has to be replaced with the fully qualified classname of the indexed class or the value of the index property of the `@Indexed` annotation.

The actual index files are then created in <indexBase>/<index name>, <index name> is per default the name of the indexed entity, or the value of the index property of the `@Indexed` or can be specified as property in the configuration file using hibernate.search.<index>.indexName.

Author:
  Emmanuel Bernard, Sylvain Vieujot, Sanne Grinovero

Constructor Summary
`FSDirectoryProvider()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`org.apache.lucene.store.FSDirectory` | `getDirectory()` Returns an initialized Lucene Directory.
`int` | `hashCode()`
`void` | `initialize(java.lang.String directoryProviderName, java.util.Properties properties, SearchFactoryImplementor searchFactoryImplementor)` get the information to initialize the directory and build its hashCode/equals method
`void` | `start()` Executed after initialize, this method set up the heavy process of starting up the DirectoryProvider IO processing as well as background processing are expected to be set up here
`void` | `stop()` Executed when the search factory is closed.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSDirectoryProvider

    public FSDirectoryProvider()

Method Detail

### initialize

    public void initialize(java.lang.String directoryProviderName,
                           java.util.Properties properties,
                           SearchFactoryImplementor searchFactoryImplementor)

  Description copied from interface: `DirectoryProvider`
  get the information to initialize the directory and build its hashCode/equals method

  Specified by:
    `initialize` in interface `DirectoryProvider<org.apache.lucene.store.FSDirectory>`

### start

    public void start()

  Description copied from interface: `DirectoryProvider`
  Executed after initialize, this method set up the heavy process of starting up the DirectoryProvider IO processing as well as background processing are expected to be set up here

  Specified by:
    `start` in interface `DirectoryProvider<org.apache.lucene.store.FSDirectory>`

### stop

    public void stop()

  Description copied from interface: `DirectoryProvider`
  Executed when the search factory is closed. This method should stop any background process as well as releasing any resource. This method should avoid raising exceptions and log potential errors instead

  Specified by:
    `stop` in interface `DirectoryProvider<org.apache.lucene.store.FSDirectory>`

### getDirectory

    public org.apache.lucene.store.FSDirectory getDirectory()

  Description copied from interface: `DirectoryProvider`
  Returns an initialized Lucene Directory. This method call must be threadsafe

  Specified by:
    `getDirectory` in interface `DirectoryProvider<org.apache.lucene.store.FSDirectory>`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.